Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d
Class Navigator3DFactory

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp.NavigatorFactory
              de.grogra.imp3d.Navigator3DFactory

All Implemented Interfaces:
  Manageable, Shareable

    public class Navigator3DFactory

extends NavigatorFactory

Nested Class Summary
`static class` | `Navigator3DFactory.Type`

Field Summary
`static Navigator3DFactory.Type` | `$TYPE`

Constructor Summary
`Navigator3DFactory()`

Method Summary
`DisposableEventListener` | `createNavigator(ViewEventHandler h, java.util.EventObject e)`
`ManageableType` | `getManageableType()`
`boolean` | `isActivationEvent(java.util.EventObject e)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final Navigator3DFactory.Type $TYPE

Constructor Detail

### Navigator3DFactory

    public Navigator3DFactory()

Method Detail

### createNavigator

    public DisposableEventListener createNavigator(ViewEventHandler h,
                                                   java.util.EventObject e)

  Specified by:
    `createNavigator` in class `NavigatorFactory`

### getManageableType

    public ManageableType getManageableType()

### isActivationEvent

    public boolean isActivationEvent(java.util.EventObject e)

  Overrides:
    `isActivationEvent` in class `NavigatorFactory`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD